Bug 135369 - Bad: Missing cslatex components
Bad: Missing cslatex components
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-10-12 05:39 EDT by dulus
Modified: 2013-07-02 19:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-05 04:04:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description dulus 2004-10-12 05:39:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3)
Gecko/20041001 Firefox/0.10.1

Description of problem:
cslatex csplain pdfcslatex pdfcsplain are missing in tetex package, in
fc3test1 they were present. I did did full installation - all packages.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. do full installation of FC3test2

Additional info:
Comment 1 Jindrich Novy 2004-10-19 04:44:47 EDT
As far as I know pdfcslatex and pdfcsplain have never been a part of
tetex distribution. Package cslatex is located in tetex-latex-2.0.2-19
and csplain is in tetex-2.0.2-19 in FC3t2. Could you please try to
install them manually? I'm sure that cslatex and csplain will occur in

Comment 2 dulus 2004-10-22 11:19:25 EDT
They are just symlinks to pdftex
[root@maxina bin]# ls -l pdfcslatex 
lrwxrwxrwx    1 root     root      6 Sep 14 17:01 pdfcslatex -> pdftex

manually installed packages seems to be ok, I pointed out that full
install of FC3 is buggy. Will there be some UTF-8 support for TeX in
Comment 3 Jindrich Novy 2004-11-02 00:47:34 EST
I'm not completely decided yet because upstream developers are working
hard on the UTF-8 support but I don't know their exact timing for the
teTeX release with UTF-8 support. Maybe you could try the Dominique
Unruh's package, see bug 71498. For now I prefer to wait for the
upstream release with UTF-8 support.
Comment 4 Leonard den Ottolander 2004-11-04 14:55:39 EST
So what's up with this report? The "missing" files seem to be
available, and UTF-8 is a different issue (see bug 71498).

Is this NOTABUG?
Comment 5 Jindrich Novy 2004-11-05 04:04:26 EST
Yes, it's NOTABUG. Just forgot to close it.

thanks for the report
Comment 6 Petr Baudis 2005-03-03 07:02:21 EST
Hello, I am confused by this. It seems the bug is _still_ present in FC3. When I
install (even manually) tetex-latex, /usr/share/texmf/tex/cslatex appears, but
there is still no cslatex executable!
Comment 7 Jindrich Novy 2005-03-03 10:03:26 EST
Hello Petr, 

an ordinary latex can be used. You shouldn't need cslatex executable as CSLaTeX
is a set of configuration files for LaTeX. For more details please see:



P.S. Thanks for elinks.

Note You need to log in before you can comment on or make changes to this bug.